package net.northking.cctp.upperComputer.driver.agent.command;


import net.northking.cctp.upperComputer.driver.agent.command.data.BatteryData;
import net.northking.cctp.upperComputer.driver.agent.command.protocol.ProtocolCommand;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class WatchBatteryDetailCommand implements ProtocolCommand<BatteryData> {

    private static WatchBatteryDetailCommand instance = null;

    public static WatchBatteryDetailCommand getInstance() {
        if (instance == null) {
            instance = new WatchBatteryDetailCommand();
        }
        return instance;
    }

    @Override
    public int getCommandId() {
        return 11;
    }

    @Override
    public void doSend(DataOutput output) throws IOException {

    }

    @Override
    public BatteryData buildReceive(DataInput input) throws IOException {
        return new BatteryData(input);
    }
}
